Bug 1624739 - Upgrade from F28 fails due to different names of subpackage
Summary: Upgrade from F28 fails due to different names of subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxqt-themes
Version: 29
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
Assignee: Zamir SUN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F29BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-09-03 07:48 UTC by Zamir SUN
Modified: 2018-09-11 12:43 UTC (History)
5 users (show)

Fixed In Version: lxqt-themes-0.13.0-5.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-11 12:43:56 UTC


Attachments (Terms of Use)

Description Zamir SUN 2018-09-03 07:48:21 UTC
Description of problem:
Upgrade from f28 LXQt is blocked with file conflicts.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install Fedora 28 LXQt
2. dnf system-upgrade --releasever=29 download
3.

Actual results:
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /etc/xdg/openbox/lxqt-rc.xml from install of lxqt-session-0.13.0-3.fc29.x86_64 conflicts with file from package lxqt-theme-fedora-0.11.2-6.fc27.noarch
  file /usr/share/man/man1/startlxqt.1.gz from install of lxqt-session-0.13.0-3.fc29.x86_64 conflicts with file from package lxqt-theme-fedora-0.11.2-6.fc27.noarch


Expected results:


Additional info:

Comment 1 Fedora Blocker Bugs Application 2018-09-03 07:49:26 UTC
Proposed as a Blocker and Freeze Exception for 29-beta by Fedora user zsun using the blocker tracking app because:

 Updating from Fedora 28 will be blocked for lxqt users.

Comment 2 Fedora Update System 2018-09-03 12:49:04 UTC
lxqt-themes-0.13.0-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f7fb791026

Comment 3 Adam Williamson 2018-09-03 18:34:24 UTC
lxqt is not a release-blocking package set, so this obviously cannot be a blocker. (also note upgrade would likely work with --allowerasing).

Comment 4 Zamir SUN 2018-09-04 03:33:07 UTC
(In reply to Adam Williamson from comment #3)
> lxqt is not a release-blocking package set, so this obviously cannot be a
> blocker. (also note upgrade would likely work with --allowerasing).

Oh thanks for the heads-up.

Comment 5 Fedora Update System 2018-09-04 09:03:48 UTC
lxqt-themes-0.13.0-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f7fb791026

Comment 6 Geoffrey Marr 2018-09-04 20:55:26 UTC
Discussed during the 2018-09-04 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedFreezeException" was made as this prevents upgrades without --allowerasing which can be destructive; it merits an FE to allow upgrades with this package and without updates-testing or --allowerasing to proceed.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-09-04/f29-blocker-review.2018-09-04-16.01.txt

Comment 7 Fedora Update System 2018-09-11 12:43:56 UTC
lxqt-themes-0.13.0-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.